---
title: eSign XML Request
description: Generate an XML request for eSign link creation.
---

This API is for generating xml request for esign. We must pass docrefid, doclink, email, first name, last name and mobile no in request. If the request has valid details, we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/esign/api/generate-request-xml
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | string = param + secret_key;<br>sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| docrefid  required | Alphanumeric | Document reference id (length 1-7) | `YPRWJZJ` |
| doclink  required | url | Document link | `https://leads.airpay.co.in/tc_retailer.php?id=177` |
| email  required | Text | Email (length 1-120) | `xyz@airpay.co.in` |
| first_name  optional | Text | First name (min-2, max-100) | `Prasanth` |
| last_name  optional | Text | Last name (min-2, max-100) | `Krishna` |
| mobile_no  optional | Numeric | Mobile number (length 1-10) | `7558599593` |
| xml_data  required | Text | Generated XML | `<?xml version="1.0" encoding="UTF-8" standalone="no"?>` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | Status code (length 1-3) | `200` |
| message  required | Text | Message<br>Success - 200<br>Failed - 400 | `success` |
| url  required | Url | Generated url | `https://esign-example.com/nsdl-essp/authenticate/esign-doc/` |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/generate-request-xml' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'docrefid="YPRWJZJ"' \
  --form 'email="xyz@airpay.co.in"' \
  --form 'doclink="https://leads.airpay.co.in/tc_retailer.php?id=177"' \
  --form 'mobile_no="7558599593"' \
  --form 'first_name="Prasanth"' \
  --form 'last_name="Krishna"'
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "status": 200,
     "xml": "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?><Esign AuthMode=\"1\" aspId=\"ABCAPSPLPROD001071\" ekycId=\"\" ekycIdType=\"A\" responseSigType=\"pkcs7\" responseUrl=\"https://test_esign.arpy.co.in/api/SignResponse\" sc=\"Y\" ts=\"2022-07-28T10:37:11\" txn=\"OCN11SCAJ3\" ver=\"2.1\">...</Esign>\n",
     "message": "success",
    "url": "https://esign-example.com/nsdl-essp/authenticate/esign-doc/"
}
```

### Error Response

```json
HTTP/1.1 400 Failed
 {
     "status": 400,
     "message": "Documnent reference id does not exist"
 }
```